#
#
#	Zinc Finger Pymol Script
$	Loren Williams, Georgia Tech
#
# path: cd ~/Sites/web_tech/structure/nucleic_acid/zinc_finger/zinc_finger_pymol_script
#
#
reinitialize
bg_color white

load 1aay.pdb, complex
remove resn HOH
hide everything, complex
show cartoon
color cyan, ss h
color magenta, ss s

create DNA_carton, chain B+C

create protein_cartoon, chain A and complex

create zinc_a, (resi 107+112+125+129+201) and chain A and protein_cartoon
bond  /zinc_a//A/ZN`201/ZN, /zinc_a//A/HIS`129/NE2
bond  /zinc_a//A/ZN`201/ZN, /zinc_a//A/HIS`125/NE2
bond  /zinc_a//A/ZN`201/ZN, /zinc_a//A/CYS`112/SG
bond  /zinc_a//A/ZN`201/ZN, /zinc_a//A/CYS`107/SG
show stick, zinc_a

create zinc_b, (resi 140+153+157+137+202) and chain A and protein_cartoon
bond /zinc_b//A/ZN`202/ZN, /zinc_b//A/CYS`137/SG 
bond /zinc_b//A/ZN`202/ZN, /zinc_b//A/CYS`140/SG 
bond /zinc_b//A/ZN`202/ZN, /zinc_b//A/HIS`153/NE2 
bond /zinc_b//A/ZN`202/ZN, /zinc_b//A/HIS`157/NE2 

create zinc_c, (resi 181+185+165+168+203) and chain A and protein_cartoon
bond /zinc_c//A/ZN`202/ZN, /zinc_c//A/CYS`165/SG 
bond /zinc_c//A/ZN`202/ZN, /zinc_c//A/CYS`168/SG 
bond /zinc_c//A/ZN`202/ZN, /zinc_c//A/HIS`181/NE2 
bond /zinc_c//A/ZN`202/ZN, /zinc_c//A/HIS`185/NE2 


show stick, zinc_*

alter resn Zn, vdw=0.6
show sphere, resn Zn
rebuild

color wheat, name C* and zinc_*
color red, name O* and zinc_*
color blue, name N* and zinc_*
color yellow, name S* and zinc_*


create DNA_sticks, chain B+C and complex
hide everything, DNA_sticks
show sticks, DNA_sticks

create protein_sticks, chain A and complex
hide everything, protein_sticks
show sticks, protein_sticks

distance H_bonds, dna_sticks and name O*+N*, protein_sticks and name O*+N*, 3.4
color black, H_bonds
color wheat, name C* and protein_sticks
color red, name O* and protein_sticks
color blue, name N* and protein_sticks

delete complex
disable *_sticks
disable H_bonds



set_view (\
     0.467762470,    0.638997912,    0.610642433,\
    -0.372301936,    0.769050479,   -0.519573271,\
    -0.801619530,    0.015692774,    0.597633064,\
     0.000000000,    0.000000000, -103.060363770,\
     3.152805328,   10.777584076,   48.090667725,\
    69.594253540,  136.526443481,    0.000000000 )
